Player = Core.class(Sprite)

function Player:init(startXPos, startYPos)

	self.world = world
	
    --create ball bitmap object from ball graphic
    local Player = Bitmap.new(Texture.new("player.png"))
    --reference center of the ball for positioning
    Player:setAnchorPoint(0.5,0.5)
     
    Player:setPosition(startXPos,startYPos)
     
    
     
    --create box2d physical object
	local body = self.world:createBody{type = b2.DYNAMIC_BODY, fixedRotation=true}
	body:setPosition(Player:getX(), Player:getY())
    body:setAngle(Player:getRotation() * math.pi/180)
	
	local poly = b2.PolygonShape.new();
	poly:setAsBox(Player:getWidth()/3, Player:getHeight()/2)

	local fixture = body:createFixture{shape = poly, density = 50.0, friction = 0.1, restitution = 0.2}
	Player.body = body
	Player.body.type = "Player"
     
    --add to scene
    self:addChild(Player)
     
    --return created object
    return Player




end